Summary: An X Window System based multiplayer aerial combat game.
Name: xpilot
Version: 4.3.2
Release: 2
Group: Amusements/Games
License: GNU General Public License
Source: ftp://ftp.xpilot.org/pub/xpilot-%{version}.tar.gz
Url: http://www.xpilot.org
Source1: xpilot.desktop
Source2: xpilots.desktop
Patch0: xpilot-4.2.1-config.patch

BuildRoot: %{_tmppath}/%{name}-root

%description
Xpilot is an X Window System based multiplayer game of 2D aerial
combat. The object of the game is to shoot each other down, or you can
use the race mode to just fly around. Xpilot resembles the Commodore
64 Thrust game, which is similar to Atari's Gravitar and Asteriods
(note: this is not misspelled). Unless you already have an xpilot
server on your network, you will need to set up the server on one
machine, and then set up xpilot clients on all of the players'
machines.

%prep
%setup -q

%patch0 -p1 -b .config

%build
xmkmf
make Makefiles
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games

make DESTDIR=$RPM_BUILD_ROOT install install.man

install -m644 %SOURCE1 $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpilot.desktop
install -m644 %SOURCE2 $RPM_BUILD_ROOT/etc/X11/applnk/Games/xpilots.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt LICENSE README.txt.msub 
%doc doc
/usr/X11R6/bin/xpilots
/usr/X11R6/bin/xpilot
/usr/X11R6/bin/xp-mapedit
/usr/X11R6/bin/xp-replay
/usr/X11R6/lib/X11/xpilot
/usr/X11R6/man/man6/xpilot.*
/usr/X11R6/man/man6/xpilots.*
/usr/X11R6/man/man6/xp-replay.*
%config /etc/X11/applnk/Games/xpilot.desktop
%config /etc/X11/applnk/Games/xpilots.desktop

%changelog
* Wed Aug 22 2001 Mike A. Harris <mharris@redhat.com> 4.3.2-2
- Fixed up foobarred *.desktop files..  (SF #52139)

* Fri May 25 2001 Mike A. Harris <mharris@redhat.com> 4.3.2-1
- Update to version 4.3.2
- Removed xpilot-4.3.0-time.patch as it is no longer needed
- Added xp-mapedit map editor

* Fri Feb 23 2001 Mike A. Harris <mharris@redhat.com>
- Enabled optimization flags during build.

* Wed Feb 14 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't generate desktop files in spec file
- use "License"
- new source location
- new URL
- 4.3 w/minor fix to make it compile
- use %%{_tmppath}

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- update to 4.2.1


* Mon Mar 27 2000 Bill Nottingham <notting@redhat.com>
- update to 4.2.0

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.1.0

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- add sparc
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Nov  3 1997 Otto Hammersmith <otto@redhat.com>
- made exlusivearch to i386

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
